kind: Deployment
apiVersion: apps/v1
metadata:
  name: "{{ obj.key }}-deploy"
  namespace: "{{ namespace }}"
  labels:
    app.kubernetes.io/name: "{{ profile_obj.k8s_app_id.code }}"
    app.kubernetes.io/instance: "{{ obj.key }}"
spec:
  replicas: 1
  selector:
    matchLabels:
      app: "{{ obj.key }}-deploy"
  template:
    metadata:
      labels:
        app: "{{ obj.key }}-deploy"
    spec:
{% if profile_obj.docker_registry_secret_id.k8s_docker_config_json -%}
      imagePullSecrets:
      - name: "{{ obj.key }}-docker-registry-cred"
{% endif %}
      restartPolicy: {{ values.restart_policy}}
      containers:
      - name: "{{ obj.key }}-app"
        image: {{ values.dockerImage }}
        resources: 
          {{ values.resources | to_yaml(offset=10) }}        
{% if values.command -%}
        command: 
          {{ values.command | to_yaml(offset=10) }}
{% endif %}
{% if values.args -%}
        args:
          {{ values.args | to_yaml(offset=10) }}          
{% endif %}
        env:
        - name: VERBOSE
          value: "{{ values.verbosity }}"
      serviceAccountName: "{{ values.rbac.service_account_name }}"
